dma_pool_alloc
Prev | Device Drivers Base | Next

## Name

dma_pool_alloc — get a block of consistent memory

## Synopsis

`void * dma_pool_alloc (` | struct dma_pool * | pool,
| gfp_t | mem_flags,
| dma_addr_t * | handle`)`;

## Arguments

`pool`

  dma pool that will produce the block

`mem_flags`

  GFP_* bitmask

`handle`

  pointer to dma address of block

## Description

This returns the kernel virtual address of a currently unused block, and reports its dma address through the handle. If such a memory block can't be allocated, null is returned.

Prev | Up | Next
dma_pool_destroy | Home | dma_pool_free